%define poolapi %_javadocdir/jakarta-commons-pool
%define short_name commons-dbcp

Name: jakarta-%short_name
Version: 1.2.2
Release: alt1
Summary: Jakarta Commons DataBase Pooling Package
License: Apache Software License
Group: Development/Java
Source0: %short_name-%version-src.tar.gz
Url: http://jakarta.apache.org/commons/dbcp

BuildPreReq: /proc rpm-build-java java-1.5.0-devel
BuildRequires: ant jakarta-commons-pool jakarta-commons-pool-javadoc jakarta-commons-collections junit
Requires: jakarta-commons-pool
BuildArch: noarch

%description
The DBCP package shall create and maintain a database connection pool
package written in the Java language to be distributed under the ASF
license. The package shall be available as a pseudo-JDBC driver and
via a DataSource interface. The package shall also support multiple
logins to multiple database systems, reclamation of stale or dead
connections, testing for valid connections, PreparedStatement
pooling, and other features.

%package javadoc
Summary: Javadoc for %name
Group: Development/Java
Requires: java-common

%description javadoc
Javadoc for %name.

%prep
%setup -q -n %short_name-%version-src

# quick hack
cp LICENSE.txt ../LICENSE
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;
# offline mode
%__subst "/http:\/\/java.sun.com\/j2se\/1.4.2\/docs\/api/d" build.xml
%__subst "s|http://jakarta.apache.org/commons/pool/apidocs|%poolapi|" build.xml

%build
export JAVA_HOME=/usr/lib/jvm/java-1.5.0
%set_classpath %_javadir/jakarta-commons-pool.jar
%add_classpath %_javadir/jakarta-commons-collections.jar
%add_classpath %_javadir/junit.jar

%ant_build \
	-Djava.io.tmpdir=. \
	-Dcommons-pool.jar=%_javadir/jakarta-commons-pool.jar \
	-Dcommons-collections.jar=%_javadir/jakarta-commons-collections.jar \
	dist

%install
# jars
install -d -m 755 %buildroot%_javadir
install -m 644 dist/%short_name.jar %buildroot%_javadir/%name.jar

# javadoc
install -d -m 755 %buildroot%_javadocdir/%name
cp -pr dist/docs/* %buildroot%_javadocdir/%name

# quick hack clean up
rm ../LICENSE

%files
%doc LICENSE.txt
%_javadir/*

%files javadoc
%doc %_javadocdir/%name

%changelog
* Wed Apr 18 2007 Damir Shayhutdinov <damir@altlinux.ru> 1.2.2-alt1
- 1.2.2 release

* Sun Mar 27 2005 Vladimir Lettiev <crux@altlinux.ru> 1.2.2-alt0.1
- rpm-build-java macroces
- version from cvs 20050321

* Mon Sep 13 2004 Vladimir Lettiev <crux@altlinux.ru> 1.2.1-alt1
- Rebuild for ALT Linux Sisyphus
- spec cleanup

* Thu Jun 24 2004 Kaj J. Niemi <kajtzu@fi.basen.net> 0:1.2.1-1jpp
- Update to 1.2.1 (tomcat 5.0.27 wants it)

* Mon Oct 27 2003 Henri Gomez <hgomez@users.sourceforge.net> 1.1-1jpp
- common-dbcp 1.1

* Tue Mar 25 2003 Nicolas Mailhot <Nicolas.Mailhot (at) JPackage.org> 1.0-4jpp
- for jpackage-utils 1.5

* Thu Feb 27 2003 Henri Gomez <hgomez@users.sourceforge.net> 1.0-3jpp
- fix ASF license

* Thu Feb 27 2003 Henri Gomez <hgomez@users.sourceforge.net> 1.0-2jpp
- fix missing packager tag

* Fri Aug 23 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.0-1jpp
- 1.0 release

* Fri Jul 12 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.0-3jpp
- add require xml-commons-apis
- override java.io.tmpdir to avoid build use /tmp

* Mon Jun 10 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.0-2jpp
- use sed instead of bash 2.x extension in link area to make spec compatible
  with distro using bash 1.1x

* Fri Jun 07 2002 Henri Gomez <hgomez@users.sourceforge.net> 1.0-1jpp
- 1.0 (cvs 20020606)
- added short names in %_javadir, as does jakarta developpers
- first jPackage release
